Bug 18866 - tuxracer 0.60 does not build against Mesa-devel-3.3-5
tuxracer 0.60 does not build against Mesa-devel-3.3-5
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: Mesa (Show other bugs)
7.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
http://tuxracer.sourceforge.net/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-10 23:04 EDT by Wesley Tanaka
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-11 06:45:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix for tuxracer (528 bytes, patch)
2000-10-11 06:44 EDT, Bernhard Rosenkraenzer
no flags Details | Diff

  None (edit)
Description Wesley Tanaka 2000-10-10 23:04:04 EDT
when trying to build tuxracer-0.60.1, I get the following error, which goes
away after I download the current version of glext.h from
http://oss.sgi.com/projects/ogl-sample/ABI/glext.h

> make
make  all-recursive
make[1]: Entering directory `/tmp/tuxracer-0.60.1'
Making all in src
make[2]: Entering directory `/tmp/tuxracer-0.60.1/src'
gcc -DHAVE_CONFIG_H -I. -I. -I..     -Wall -I/usr/include -O2
-I/usr/X11R6/include  -DDATA_DIR=\"/tmp\"  -c course_load.c
In file included from course_load.c:30:
gl_util.h:55:5: # error "*** You need a more recent copy of glext.h.  You
can get one at http://oss.sgi.com/projects/ogl-sample/ABI/glext.h ; it goes
in /usr/include/GL. ***"
make[2]: *** [course_load.o] Error 1
make[2]: Leaving directory `/tmp/tuxracer-0.60.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/tuxracer-0.60.1'
make: *** [all-recursive-am] Error 2

I am using this version of Mesa-devel

> rpm -qfi /usr/include/GL/glext.h
Name        : Mesa-devel                   Relocations: (not relocateable)
Version     : 3.3                               Vendor: Red Hat, Inc.
Release     : 5                             Build Date: Wed 09 Aug 2000
06:52:10 AM PDT
Install date: Tue 10 Oct 2000 07:33:50 PM PDT      Build Host:
porky.devel.redhat.com
Group       : Development/Libraries         Source RPM: Mesa-3.3-5.src.rpm
Size        : 2756672                          License: GPL/XFree86
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.mesa3d.org/
Summary     : Development files for the Mesa 3-D graphics library.
Description :
Mesa-devel contains the static version of the Mesa 3-D graphics
library (a graphics toolkit very similar to Silicon Graphics' OpenGL
graphics utilities toolkit) and includes files needed for development.
If you're going to develop Mesa applications, you'll need to install
mesa-devel. If you're just going to use Mesa, you don't need to
install mesa-devel.
Comment 1 Bernhard Rosenkraenzer 2000-10-11 06:29:40 EDT
Copying in the header file from SGI OpenGL to Mesa will cause all sorts of
problems and is definitely not the right fix for this.
I'm checking what current versions of Mesa are doing.
Comment 2 Bernhard Rosenkraenzer 2000-10-11 06:44:56 EDT
Created attachment 4044 [details]
Fix for tuxracer
Comment 3 Bernhard Rosenkraenzer 2000-10-11 06:46:39 EDT
There's no reason whatsoever why tuxracer should require the newer glext.h.
It compiles without problems and starts (can't test anything more, I don't have
3D hardware) if you simply remove the check (patch attached).

Note You need to log in before you can comment on or make changes to this bug.